from time import sleep
from sys import exit
import threading

from PdServer import PdServer
from PdChannel import PdChannel
from PdLANPoller import PdLANPoller

def LaunchPdLANParty():
	# two way Pd style connection working
	# run server first
	# emulate Pd listener = nc -l 192.168.2.113 10315
	# emulate Pd sender = nc localhost 10314 -s 192.168.2.113
	
	# launch a thread which broadcasts to all devices on the network every two seconds
	
	poller = PdLANPoller()
	threadSrv = threading.Thread(target=poller.Launch)
	threadSrv.start()
	
	server = PdServer(channelClass=PdChannel, localaddr=("0.0.0.0", 10314), listeners=20)
	
	try:
		while 1:
			server.Pump()
			sleep(0.001)
	except:
		exit(0)

if __name__ == "__main__":
	LaunchPdLANParty()

